Loading...
Searching...
No Matches
SparseStencilMatrix< ValueType_, STENCIL_SIZE >::ConstValueIter Class Reference

Iterator over the stored values in a row of this matrix. More...

`#include <openvdb/math/ConjGradient.h>`

## Public Member Functions

const ValueType & | operator* () const
SizeType | column () const
void | increment ()
ConstValueIter & | operator++ ()
| operator bool () const
void | reset ()

## Friends

class | SparseStencilMatrix

## Detailed Description

template<typename ValueType_, SizeType STENCIL_SIZE>
class openvdb::v10_0::math::pcg::SparseStencilMatrix< ValueType_, STENCIL_SIZE >::ConstValueIter

Iterator over the stored values in a row of this matrix.

## Member Function Documentation

## column()

template<typename ValueType_, SizeType STENCIL_SIZE>

SizeType column | ( |  | ) | const

inline

## increment()

template<typename ValueType_, SizeType STENCIL_SIZE>

void increment | ( |  | ) |

inline

## operator bool()

template<typename ValueType_, SizeType STENCIL_SIZE>

operator bool | ( |  | ) | const

inline

## operator*()

template<typename ValueType_, SizeType STENCIL_SIZE>

const ValueType & operator* | ( |  | ) | const

inline

## operator++()

template<typename ValueType_, SizeType STENCIL_SIZE>

ConstValueIter & operator++ | ( |  | ) |

inline

## reset()

template<typename ValueType_, SizeType STENCIL_SIZE>

void reset | ( |  | ) |

inline

## Friends And Related Symbol Documentation

## SparseStencilMatrix

template<typename ValueType_, SizeType STENCIL_SIZE>

friend class SparseStencilMatrix

friend